import os
import sys

#check for root_path variable
try:
  sys.path.append(os.environ['ROOT_PATH'])
except:
  print("Please set the variable ROOT_PATH.")
  sys.exit(0)

import cv2
import libs.rb_compressClass as rb_comp

licpath = "./rb_compress.lic"

# input image
img = cv2.imread("./demo.jpg")

# if you want, you can do a resize as well
# aspect ratio

#ar = 1920 / img.shape[1]
#dim = (1920, int(img.shape[0] *ar))
#img = cv2.resize(img,dim, interpolation = cv2.INTER_AREA)

bitrate="45000k"
speed='high'
out_name="./demo.avif"

#init compress module
compressor = rb_comp.rb_compress(licpath=licpath)
compressor.compress(img, bitrate, speed, out_name)
